[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoAutoSize

For internal use only; call AdjustSize instead.

## Declaration

Source position: controls.pp line 1357

`protected procedure TControl.DoAutoSize; virtual;`

## Description

Remark: | IMPORTANT: Many Delphi controls override this method and many call this method directly after setting some properties.

During handle creation not all interfaces can create complete Device Contexts which are needed to calculate things like text size. That's why you should always call AdjustSize instead of DoAutoSize.

## See also

TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.
TControl.AdjustSize |  | Smart way to DoAutoSize.